Skip to main content

Get a terms object

GET 

/nevisidm/api/core/v1/terms/:extId

Since: 2.75.1

Required permission(s): AccessControl.TermsView

Returns the terms object with the given external ID, including its application assignments.

Request

Path Parameters

    extId stringrequired

    External ID of the terms object.

    Example: terms-123

Responses

Terms retrieved successfully

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the terms object.

    name string

    The name of the terms object.

    active boolean

    Determines whether the terms are active or not.

    silentAcceptance boolean

    Determines whether the terms are accepted silently or not.

    termsVersion string

    The version of the terms.

    urls object

    URLs pointing to the actual terms and conditions pages, keyed by language.

    property name* string
    applicationExtIds string[]

    External IDs of the applications to which the terms are assigned.

Loading...